<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Sola;
use Illuminate\Support\Facades\DB;

/**
     * @group Admin panel, CRUD schools
     */


class SolaController extends Controller
{
    /**
     * Display all schools
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $sole = Sola::orderBy('nazivSole','asc')->get();

        return view('sola')->with('sole',$sole);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created school
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        
        DB::beginTransaction();


        try{

            $solaNova = Sola::create([
                    'nazivSole' => $request->nazivSole,
                    'kodaSole' => $request->kodaSole,
                    'email' => $request->email,
                    'telefon' => $request->telefon,
                    'datumVpisa' => date('Y-m-d H:i:s')
                ]);
                $solaNova->save();


            DB::commit();
            return view('sola')->with('vstavljanje','Sola created succesfully');

        }catch(\Exception $e){
            DB::rollback();
            //dump($e);
            return view('sola')->with('vstavljanje','Error during creation of sola');
        }

    }

    /**
     * Return the view for the creation of a new school
     */

    //odpri stran za ustvarit novo solo
    public function createSola(){

        $prikaziForm = true;
        return view('sola')->with('ustvari',$prikaziForm);

    }


    /**
     * Display the specified school
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $sola = Sola::find($id);

        return view('sola')->with('prikaziSolo',$sola);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified school
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        DB::beginTransaction();


        try{

            $sola = Sola::find($id);

            $sola->nazivSole = $request->nazivSole;
            $sola->kodaSole = $request->kodaSole;
            $sola->email = $request->email;
            $sola->telefon = $request->telefon;

            $sola->save();


            DB::commit();
            return view('sola')->with('vstavljanje','Sola updated succesfully');

        }catch(\Exception $e){
            DB::rollback();
            //dump($e);
            return view('sola')->with('vstavljanje','Error during updating of sola');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
