<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Database\Eloquent\ModelNotFoundException;

use App\Problem;
use App\dijak;
use App\JezikNavodil;
use App\Koda;
use App\Contest;
use App\ContestProblem;
use App\Izvedba;
use App\Rezultat;
use App\Sola;
use GuzzleHttp;
use Carbon\Carbon;
use Session;
use App\Dovoljenje;
use App\ActivatedContest;

use App\Jobs\CloseSolve;

use Illuminate\Support\Facades\Config;



////***********/SUBMITION TO JDOOODLE
///poslje post zahtevo na JDOOODLE
function submitJdoodle($koda,$lang,$versionIndex)
    {   

        $APIkey="ed7aec1ae16fac12739c67f766e094d5";
        $APIsecret="f28a56811359c00eea59cb0e17505dbc7cc7efaa818d67beff6053e851c2153";
        
        $client = new \GuzzleHttp\Client();
        $url = 'https://api.jdoodle.com/v1/execute';
        $myBody['clientId']=$APIkey;
        $myBody['clientSecret']=$APIsecret;
        $myBody['script']=$koda;
        $myBody['language']=$lang;
        $myBody['versionIndex']=$versionIndex;
        //error_log($myBody['script']);
        //dd(json_encode($myBody));

        $request = $client->post($url,[GuzzleHttp\RequestOptions::JSON => $myBody]);

        $response = $request->getBody();

        return $response->getContents();
    }


//Kliciiii nevrjamem da dela async
    function submitJdoo()
    {   
        
        $client = new GuzzleHttp\Client();
        $url = 'https://api.jdoodle.com/v1/execute';
        $myBody['clientId']="ed7aec1ae16fac12739c67f766e094d5";
        $myBody['clientSecret']="f28a56811359c00eea59cb0e17505dbc7cc7efaa818d67beff6053e851c2153";
        $myBody['script']='public class Test{public static void main(String[] args){System.out.println("Banananananan")}}';
        $myBody['language']='java';
        $myBody['versionIndex']='0';
        //error_log($myBody['script']);
        //dd(json_encode($myBody));

        //error_log("Sending");

        $request =new \GuzzleHttp\Psr7\Request('POST',$url,[GuzzleHttp\RequestOptions::JSON => $myBody]);

        $promise = $client->sendAsync($request)->then(function ($response) {
                error_log('I completed! ');
        });
        $promise->wait();

        error_log("sendeeddd");

    }





    /**
     * @group User functions during competition
     * APIs to let the user compete in the contest
     */


class SolveController extends Controller
{
    /**
     * AJAX function that returns the state of the contest and the coutdown to the contest
     */

    //funkcija klicana z AJAX, ki vrne stanje o contestu in ce contest je se zaprt vnre cas do kontesta
    public function contestInfo(){

        //prejmemo contestID ki je aktiviran
        $contestID = ActivatedContest::find(1)->contest_id;

        //dijak ID shranjen v session??
        $dijakID = Session::get('dijak_id');

        $dijak = dijak::find($dijakID);

        $contest = Contest::find($contestID);

        $zacetek = Carbon::parse($contest->zacetek);

        //array ki bo p0ovrnjen v JSOn obliki
        //zacel oznaci, ce kontest je ze zacel ali ne
        $result['zacel'] = false;

        //ali je tekmovanje ze zacelo?
        if($zacetek->gt(Carbon::now())){//ne
            $cas = Carbon::createFromTimestamp($zacetek->timestamp - Carbon::now()->timestamp);
            $result['cas'] = $cas;
            return response()->json($result);
        }else{//je pregledaj ali tekmovalec se tekmuje ali je zapadel cas ali ni se tekmoval
            $result['zacel'] = true;
            $izvedba = Izvedba::where('dijak_id',$dijakID)
            ->where('contest_id',$contestID)
            ->first();


            if($izvedba!=null){ //ali se tekmuje ali je ze tekmoval
            //ce ze obstaja vrni samo solve
                /*$end = Carbon::createFromTimestamp(strtotime($contest->trajanje)-strtotime('00:00:00')+strtotime($izvedba->zacetek));
                $current = Carbon::now();*/

                $trajanje = Carbon::parse($contest->trajanje);
                $end = $izvedba->zacetek->addHours($trajanje->hour);
                $end->addMinutes($trajanje->minute);
                $end->addSeconds($trajanje->second);

                $current = Carbon::now();
                if($current->gt($end)){
                    $result['zeTekmoval'] = true;
                    return response()->json($result);
                }else{
                    $result['vTeku'] = true;
                    //return response()->json($result);
                }
            }

            //ali ima se za tekmovat??
            $sola = Sola::where('kodaSole',$dijak->kodasole)->first();
            ///UPGRADE PO RAZREDIIIIIHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!!!!!!!!!!!!!!!!!!!!!!!!!
            $dovoljenje = Dovoljenje::where('sola_id',$sola->id)
                                ->where('contest_id',$contestID)
                                ->where('razred',$dijak->razred)
                                ->first();

            //ce ta sola ne sodeluje
            if($dovoljenje == null){
                $result['neSodeluje']=true;
                return response()->json($result);
            }                    

            $current = Carbon::now();
            $start = $dovoljenje->zacetek;
            $end = $dovoljenje->konec;
            

            if($current > $end){//zamudil tekmovanje

                $result['poteklo'] = true;
                return response()->json($result);

            }else if($current->between($start,$end)){//lahko zacnes

                $result['ready'] = true;
                return response()->json($result);

            }else{//tekmovanje se ni zacelo zate

                $result['ready'] = false;
                return response()->json($result);
            }

        }
        return response()->json($result);
    }


    //FUNKCIJA KI VRNE SOLVE VIEW IN STARTA ISTANCO KONTESTA ZA DIJAKA IN STARTA TIMER V QUEUE
    //QUEUE nepotreben??
    public function startSolving(){

        //prejmemo contestID ki je aktiviran
        $contestID = ActivatedContest::find(1)->contest_id;

        if($contestID===null){
            dd("banana");
            //redirect kam drugammm
        }

        //dijak ID shranjen v session??
        $dijakID = Session::get('dijak_id');

        


        $izvedba = Izvedba::where('dijak_id',$dijakID)
                        ->where('contest_id',$contestID)
                        ->first();

        if($izvedba!=null){
            //ce ze obstaja vrni samo solve
            $contest = Contest::find($contestID)->first();

            $trajanje = Carbon::parse($contest->trajanje);
            $end = $izvedba->zacetek->addHours($trajanje->hour);
            $end->addMinutes($trajanje->minute);
            $end->addSeconds($trajanje->second);

            $current = Carbon::now();

            if($current->gt($end)){
                return redirect('/');
                dd("Potekel je cas na razpolago preusmeri kam drugam!!!!");
            }

            return view('solve');
        }
        //drugace ustvari novo izvedbo in startaj timer kontesta
        $izvedba = Izvedba::create([
            'dijak_id' => $dijakID,
            'contest_id' => $contestID,
            'zacetek' => Carbon::now()
        ]);

       /* //startaj timer
        //nepotrebno??
        error_log("put in queue");
        CloseSolve::dispatch()->delay(Carbon::now()->addMinutes(1));
        error_log("continue");*/

        return view('solve');
    }



    /**
     * Get all the data about the contest (problems and instructions)
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {   

        error_log("bananas");
        //nastaviti v session??
        $jezikNavodil='slo';

        //id aktiviranega kontesta
        $contestID = ActivatedContest::find(1)->contest_id;

        //dijak ID shranjen v session??
        $dijakID=Session::get('dijak_id');

        //standardni prog jezik je java (default)
        $progJezik='java';
        error_log("banbananana");

        ////Previrjanje validnosti 
        $contest = Contest::find($contestID);


        $izvedba = Izvedba::where('dijak_id',$dijakID)
                        ->where('contest_id',$contestID)
                        ->first();

        error_log($contest->trajanje);
        $trajanje = Carbon::createFromTimestamp(strtotime($contest->trajanje)+$izvedba->zacetek->timestamp-Carbon::now()->timestamp);

        $trajanje = $trajanje->toTimeString();
        //dd($trajanje->format('H:i:s').'   '.$contest->trajanje.'  '.$izvedba->zacetek  );

        $problemi = Contest::find($contestID)->problem()
            ->join('jezik_navodil','problem.id','=','jezik_navodil.problem_id')
            ->join('koda','koda.problem_id','=','problem.id')
            ->where('jezikNavodil',$jezikNavodil)
            ->where('jezikProgramski',$progJezik)
            ->orderBy('vrstnired','asc')
            ->select('problem.id','koda.jezikProgramski','jezik_navodil.jezikNavodil','koda.kodaBody','jezik_navodil.naslov','jezik_navodil.navodila')
            ->get();
            //$problemi->toJson()

        
        $problemi['trajanje']=$trajanje;

       

        //dd($problemi->toArray());   strtotime($problemi['trajanje'])
        
        return response()->json($problemi);
        
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }


    /**
     * Execute users program and store results in the DB
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    /*
    Najprej pregledaj ce rezultat ze obstaja
    ->ce ne obstaja poslji na jdoodle in ustvari rezultat
    ->ce obstaja pregledaj st testiranj ce je manj kot pet posli na jdoodle in posodobi
    ->ce je 5 ali vec poslji rezultat presegel st testiranj
    */
    public function store(Request $request)
    {   
        //id aktiviranega kontesta
        $contestID = ActivatedContest::find(1)->contest_id;

        //dijak ID shranjen v session??
        $dijakID=Session::get('dijak_id');

        $request->validate([
            'kodaBody' => 'required',
            'id' => 'required',
            'jezikProgramski' => 'required',
        ]);

        

        $kodaBody = $request->kodaBody;
        $problemID = $request->id;
        $lang = $request->jezikProgramski;

       
       
        $rezultat = Rezultat::where('dijak_id',$dijakID)
            ->where('problem_id',$problemID)
            ->where('contest_id',$contestID)
            ->first();

        //ce rezultat ne obstaja ustvariga     
        if($rezultat==null){

            $rezultat=Rezultat::create([
                'tocke' => 0,
                'stTestiranj' => 0,
                'jezikProg' => $lang,
                'dijak_id' => $dijakID,
                'contest_id' => $contestID,
                'problem_id' => $problemID
            ]);
        }

        
        /*    */

        //pregleda ce ste testiranj je < 5
        if( $rezultat->stTestiranj >= 5){
            $outputObject['error'] = "MAX";
            $outputObject['stTestiranj'] = $rezultat->stTestiranj;
            return response()->json($outputObject);

        }
        //povecamo st testiranj
        $rezultat->stTestiranj = $rezultat->stTestiranj +1;

        $testCase = Koda::where('problem_id',$problemID)->where('jezikProgramski',$lang)->first();

        $koda = $testCase->kodaHead.$kodaBody.$testCase->kodaTail;

        $versionIndex = '0';//verzija prog jezika

        $result = submitJdoodle($koda,$lang,$versionIndex);

        $resultEncoded = json_decode($result);
     
        $cpuTime = $resultEncoded->cpuTime;

        $output = $resultEncoded->output; //dobi output od testa

        //drugace ne prepozna JSON
        $output = '{'.$output.'}';
        $outputObject = json_decode($output);

        //stevilo opravljenih testov za izracun tock
        $testCase=(isset($outputObject->testCase) ? $outputObject->testCase : 0);
        
        $primary=(isset($outputObject->primary) ? $outputObject->primary: 0);

        //plus izracun casa
        $tocke = intval($testCase)*5 + intval($primary)*15;
        //error_log($tocke);

        //samo ce je prisoten cpuTime, kar pomeni da koda se je pravilno izvedla!!
        /* UPOSTEVANJE TIMEPOINTS ->ne!! 
        if(isset($cpuTime)){
            $problemTime = Problem::find($problemID)->first()->cpuTime;
            //error_log($cpuTime);
            //error_log($problemTime);
            
            //racunanje tock na podlagi casa obdelave
            $timePoints = pow(((floatval($problemTime))/(floatval($cpuTime))),2)*10;

            //error_log($timePoints);

            if(floatval($timePoints) >= 10.0){
                $timePoints = 10;
            }

            $tocke = $tocke + intval($timePoints);
        }
        */

        //pregledamo ce stTock tega testa je vecje ali enako prejsnjemu, ce je resimo drugace resimo samo povecanje st testiranj
        if($tocke >= $rezultat->tocke){

            $rezultat->koda = $koda;
            $rezultat->output = $result;
            $rezultat->casIzvajanja = $cpuTime;
            $rezultat->tocke = $tocke;
            $rezultat->jezikProg = $lang;
            $rezultat->numTestCasePassed = $testCase;
            $rezultat->numPrimaryTestPassed = $primary;

        }
        $rezultat->save();

        //error_log($tocke);

        

        //ne posiljamo tock na client
        //v primeru da nimamo hudih napak 
        if(isset($outputObject->primary)&&isset($outputObject->testCase)){
            $outputObject->primary = null;
            $outputObject->testCase = null;
            $outputObject->stTestiranj = $rezultat->stTestiranj;
            $outputObject->error = null;
        }else{//v primeru da imamo sintakticne napake nam vrne error compiler!!
            $outputObject['error'] = $resultEncoded->output;
            $outputObject['stTestiranj'] = $rezultat->stTestiranj;
        }
        return response()->json($outputObject);
        //
    }



    /**
     * Display the specified resource.
     *
     * @param  int  $id Contesta!!
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
     
    }



    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    /**
     * Allow to change user's programming language.
     */
    //vrne kodo nekega problema, za spremeniti prog jezik
    public function showProblemCode($problemId,$progJezik)
    {
        //error_log(request());

        $myProblem = Koda::where('jezikProgramski',$progJezik)->where('problem_id',$problemId)
        ->select('jezikProgramski','problem_id','kodaBody')->first();

        return response()->json($myProblem);

    }    
}



//////GLOBAL VARIABLE

/*return [
    'contestID' => 1,
];



//to get the global variable
config('contestSetting.contestID');


//to set the global variable
$data = [
    'contestID' => $x; // your input
];

Config::write('contestSettings', $data); */