<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Illuminate\Support\Facades\DB;

use App\Problem;
use App\JezikNavodil;
use App\Contest;

class VstavljanjeProblemaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create($id)
    {
        $problemi = JezikNavodil::where('jezikNavodil','=','slo')
        ->select('problem_id','naslov')
        ->get();

        $data = array("problemi" => $problemi,"contest_id"=>$id);
        return view('contest')->with('createProblem',$data);


    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request,$id)
    {
        DB::beginTransaction();



        try{

            $contest = Contest::findOrFail($id);
            $contest->problem()->attach($request->problem_id,['vrstniRed'=>$request->vrstniRed]);


            DB::commit();
            return redirect()->action(
                'ContestController@show', ['id' => $id,
                                            'message' => 'Contest and problem linked succesfully']
            );

        }catch(\Exception $e){
            DB::rollback();
            dump($e);
            return view('contest')->with('message','Error during linking of contest and problem');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($contest_id,$problem_id)
    {
        $contest = Contest::findOrFail($contest_id);
        $contest->problem()->detach($problem_id);

        return redirect()->action(
                'ContestController@show', ['id' => $contest_id,
                                            'message' => 'Contest and problem detached']
            );

    }
}
