<?php

namespace App\Http\Middleware;

use Closure;
use App\Contest;
use App\Izvedba;
use Carbon\Carbon;
use App\ActivatedContest;
use Session;

use Illuminate\Support\Facades\Config;

class TimeLimit
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        //contestId in dijak id iz session
        //prejmemo contestID ki je aktiviran
        $contestID = ActivatedContest::find(1)->contest_id;
        

        //dijak ID shranjen v session??
        $dijakID=Session::get('dijak_id');


        $contest = Contest::find($contestID)->first();
        //kaj rabi izvedba??
        $izvedba = Izvedba::where('dijak_id',$dijakID)
                        ->where('contest_id',$contestID)
                        ->first();

        if(!isset($izvedba)){
            //dd("ni izvedbe");
        }
        //$start = Carbon::createFromTimestamp(strtotime($izvedba->zacetek));

        //cas, kjer se zakljuci kontest za danega dijaka na podlagi casa zacetka in trajanja kontesta                
        $trajanje = Carbon::parse($contest->trajanje);
        $end = $izvedba->zacetek->addHours($trajanje->hour);
        $end->addMinutes($trajanje->minute);
        $end->addSeconds($trajanje->second);


        $current = Carbon::now();

        if($current->gt($end)){
            return redirect('/');
            dd("Potekel je cas na razpolago preusmeri kam drugam!!!!");
        }

        return $next($request);
    }
}
