<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use App\Sola;

class CreateDijakiTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dijaki', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('ime');
            $table->string('priimek');
            $table->string('username');
            $table->string('password');
            $table->string('email')->unique();
            $table->boolean('email_verified')->default(false);
            $table->string('email_token')->nullable();
            $table->string('email_token_verification')->nullable();
            $table->integer('razred');
            $table->timestamps();
            $table->dateTime('datumVpisa');
            $table->string('kodasole');//max8characters in podobno
            $table->bigInteger('sola_id')->unsigned();
            $table->foreign('sola_id')->references('id')->on('sola');
            $table->boolean('isAdmin')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dijaki');
    }
}
