<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use App\Contest;
use App\Problem;

class CreateContestProblemTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contest_problem', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->integer('vrstniRed')->nullable();
            $table->bigInteger('contest_id')->unsigned();//obvezno!!!!
            $table->bigInteger('problem_id')->unsigned()->nullable();
            $table->foreign('contest_id')->references('id')->on('contest');
            $table->foreign('problem_id')->references('id')->on('problem')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contest_problem');
    }
}
