<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use App\Problem;

class CreateJezikNavodilTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('jezik_navodil', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->string('naslov');
            $table->string('jezikNavodil');
            $table->text('navodila');
            $table->bigInteger('problem_id')->unsigned();
            $table->foreign('problem_id')->references('id')->on('problem')->onDelete('cascade');
            $table->unique(['jezikNavodil','problem_id']);

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('jezik_navodil');
    }
}
