<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use App\Problem;

class CreateKodaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('koda', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->string('jezikProgramski');
            $table->text('kodaHead');
            $table->text('kodaBody');
            $table->text('kodaTail');
            $table->bigInteger('problem_id')->unsigned();
            $table->foreign('problem_id')->references('id')->on('problem')->onDelete('cascade');
            $table->unique(['jezikProgramski','problem_id']);

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('koda');
    }
}
