<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRezultatTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rezultat', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->text('koda')->nullable();
            $table->text('output')->nullable();
            $table->integer('tocke')->default(0);
            $table->string('jezikProg');
            $table->tinyInteger('stTestiranj');
            $table->string('casIzvajanja')->nullable();
            $table->integer('numTestCasePassed')->default(0);
            $table->integer('numPrimaryTestPassed')->default(0);
            $table->bigInteger('problem_id')->unsigned();
            $table->foreign('problem_id')->references('id')->on('problem');
            $table->bigInteger('dijak_id')->unsigned();
            $table->foreign('dijak_id')->references('id')->on('dijaki');
            $table->bigInteger('contest_id')->unsigned();
            $table->foreign('contest_id')->references('id')->on('contest');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rezultat');
    }
}
