<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProblemMesecaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('problem_meseca', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->integer('stProblema')->unique();
            $table->text("output");
            $table->text("kodaBody");
            $table->integer('tocke')->default(0);
            $table->string('jezikProg');
            $table->tinyInteger('stTestiranj')->nullable();
            $table->tinyInteger('numTestCasePassed')->default(0);
            $table->tinyInteger('numPrimaryTestPassed')->default(0);
            $table->bigInteger('problem_id')->unsigned();
            $table->foreign('problem_id')->references('id')->on('problem');
            $table->bigInteger('dijak_id')->unsigned();
            $table->foreign('dijak_id')->references('id')->on('dijaki');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('problem_meseca');
    }
}
