---
title: API Reference

language_tabs:
- bash
- javascript

includes:

search: true

toc_footers:
- <a href='http://github.com/mpociot/documentarian'>Documentation Powered by Documentarian</a>
---
<!-- START_INFO -->
# Info

Welcome to the generated API reference.
[Get Postman Collection](http://localhost/docs/collection.json)

<!-- END_INFO -->

#Admin panel, CRUD schools


<!-- START_2536aeb36dad310499bac3f1ca194b95 -->
## Display all schools

> Example request:

```bash
curl -X GET \
    -G "http://localhost/sola" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/sola"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET sola`


<!-- END_2536aeb36dad310499bac3f1ca194b95 -->

<!-- START_8badffb27f12a743bf30a1d04de7bfdb -->
## Display the specified school

> Example request:

```bash
curl -X GET \
    -G "http://localhost/sola/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/sola/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET sola/{solaID}`


<!-- END_8badffb27f12a743bf30a1d04de7bfdb -->

<!-- START_ca64f6c2c16e9d6b2ed4dda69a859e79 -->
## Return the view for the creation of a new school

> Example request:

```bash
curl -X GET \
    -G "http://localhost/createSola" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/createSola"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET createSola`


<!-- END_ca64f6c2c16e9d6b2ed4dda69a859e79 -->

<!-- START_f27340e6b315675e7a793a82be4e9fcc -->
## Store a newly created school

> Example request:

```bash
curl -X POST \
    "http://localhost/sola" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/sola"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST sola`


<!-- END_f27340e6b315675e7a793a82be4e9fcc -->

<!-- START_181b3f13b4938d1c3c7c6645819a4c57 -->
## Update the specified school

> Example request:

```bash
curl -X PUT \
    "http://localhost/sola/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/sola/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`PUT sola/{solaID}`


<!-- END_181b3f13b4938d1c3c7c6645819a4c57 -->

#Admin panel, to manage contests


<!-- START_b72107de1cc091d9cad3b7367a8f4782 -->
## Display aall the contests

> Example request:

```bash
curl -X GET \
    -G "http://localhost/contest" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/contest"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET contest`


<!-- END_b72107de1cc091d9cad3b7367a8f4782 -->

<!-- START_594b943500dffdf0e99d42d11a7f3a76 -->
## Display a specific contest defined by the ID, if message is present display also the warning message

> Example request:

```bash
curl -X GET \
    -G "http://localhost/contest/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/contest/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET contest/{contestID}`


<!-- END_594b943500dffdf0e99d42d11a7f3a76 -->

<!-- START_24f66b2e41eba53c420418d4869cf952 -->
## Display a specific contest defined by the ID, if message is present display also the warning message

> Example request:

```bash
curl -X GET \
    -G "http://localhost/contest/1/" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/contest/1/"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET contest/{contestID}/{message?}`


<!-- END_24f66b2e41eba53c420418d4869cf952 -->

<!-- START_1ec1e0052855be292b1adc9785eeff3c -->
## Return the view for the creation of a new contest

> Example request:

```bash
curl -X GET \
    -G "http://localhost/createContest" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/createContest"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET createContest`


<!-- END_1ec1e0052855be292b1adc9785eeff3c -->

<!-- START_5030a0883b7e515d2133926ba13955a7 -->
## Store a newly created contest in the DB

> Example request:

```bash
curl -X POST \
    "http://localhost/contest" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/contest"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST contest`


<!-- END_5030a0883b7e515d2133926ba13955a7 -->

<!-- START_08aac72e74a74a1aa7a0f2b6d4251952 -->
## Update the specified contest

> Example request:

```bash
curl -X PUT \
    "http://localhost/contest/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/contest/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`PUT contest/{contestID}`


<!-- END_08aac72e74a74a1aa7a0f2b6d4251952 -->

<!-- START_9dd849304bd23aa1152b0c57d8847b52 -->
## Activate the specific contest

> Example request:

```bash
curl -X GET \
    -G "http://localhost/activateContest/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/activateContest/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET activateContest/{contestID}`


<!-- END_9dd849304bd23aa1152b0c57d8847b52 -->

<!-- START_923e9da29f0cc235872af6bf56fefc3e -->
## Deactivate the specific contest

> Example request:

```bash
curl -X GET \
    -G "http://localhost/deactivateContest/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/deactivateContest/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET deactivateContest/{contestID}`


<!-- END_923e9da29f0cc235872af6bf56fefc3e -->

<!-- START_9c61e1c52932b5fcdec26c5255b7dbce -->
## Print results of the current contest

> Example request:

```bash
curl -X GET \
    -G "http://localhost/getContestResults/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/getContestResults/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET getContestResults/{contestID}`


<!-- END_9c61e1c52932b5fcdec26c5255b7dbce -->

#Admin panel, to manage permissions to compete


<!-- START_89d7219e0353f56177a8d6e9fa71eb7b -->
## Show the view for the creation of a new permission

> Example request:

```bash
curl -X GET \
    -G "http://localhost/dovoljenje/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/dovoljenje/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET dovoljenje/{contestID}`


<!-- END_89d7219e0353f56177a8d6e9fa71eb7b -->

<!-- START_9a8d116b1423a19d5700d7101cf305fd -->
## Store a newly created permission

> Example request:

```bash
curl -X POST \
    "http://localhost/dovoljenje/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/dovoljenje/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST dovoljenje/{contestID}`


<!-- END_9a8d116b1423a19d5700d7101cf305fd -->

<!-- START_8d75c7e463ebfb57de55bf296d12dca9 -->
## Show the form for editing a permission

> Example request:

```bash
curl -X GET \
    -G "http://localhost/dovoljenje/edit/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/dovoljenje/edit/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET dovoljenje/edit/{dovoljenjeID}`


<!-- END_8d75c7e463ebfb57de55bf296d12dca9 -->

<!-- START_74e8df44e5ba43a3b7eaba3750bff9c1 -->
## Update the specified permission

> Example request:

```bash
curl -X PUT \
    "http://localhost/dovoljenje/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/dovoljenje/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`PUT dovoljenje/{dovoljenjeID}`


<!-- END_74e8df44e5ba43a3b7eaba3750bff9c1 -->

<!-- START_5b9224e49f688e4fdcddc59f2e61027d -->
## Remove the specified permission from the DB

> Example request:

```bash
curl -X DELETE \
    "http://localhost/dovoljenje/1/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/dovoljenje/1/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`DELETE dovoljenje/{dovoljenjeID}/{contestID}`


<!-- END_5b9224e49f688e4fdcddc59f2e61027d -->

#Admin panel, to manage problems


<!-- START_82b2b0ac7773d4b685737f0b02c7a549 -->
## Return all existing problems in the view problem

> Example request:

```bash
curl -X GET \
    -G "http://localhost/problem" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/problem"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET problem`


<!-- END_82b2b0ac7773d4b685737f0b02c7a549 -->

<!-- START_913d4867372d669b6b0c3d8f4e8f9075 -->
## Create a new problem

> Example request:

```bash
curl -X POST \
    "http://localhost/problem" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/problem"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST problem`


<!-- END_913d4867372d669b6b0c3d8f4e8f9075 -->

<!-- START_059b7b6a1d2507e156bffb85b7aaae56 -->
## Update the data about a problem

> Example request:

```bash
curl -X PUT \
    "http://localhost/problem/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/problem/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`PUT problem/{problemID}`


<!-- END_059b7b6a1d2507e156bffb85b7aaae56 -->

<!-- START_7e8ba0d009ae8bb64ab747beba219987 -->
## Show the data about a problem

> Example request:

```bash
curl -X GET \
    -G "http://localhost/problem/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/problem/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET problem/{problemID}`


<!-- END_7e8ba0d009ae8bb64ab747beba219987 -->

<!-- START_d8d7c2d881c326c55f24bbd1094c82bd -->
## Delete a defined problem by the ID

> Example request:

```bash
curl -X DELETE \
    "http://localhost/problem/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/problem/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`DELETE problem/{problemID}`


<!-- END_d8d7c2d881c326c55f24bbd1094c82bd -->

#Login/Register management


APIs for Login, Register users
<!-- START_c804dd7aa0637385db7b950a5a06bec7 -->
## Return the view containing the login register page.

> Example request:

```bash
curl -X GET \
    -G "http://localhost/loginregister" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/loginregister"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET loginregister`


<!-- END_c804dd7aa0637385db7b950a5a06bec7 -->

<!-- START_d7aad7b5ac127700500280d511a3db01 -->
## Register a new user and redirect to LoginRegister

> Example request:

```bash
curl -X POST \
    "http://localhost/register" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/register"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST register`


<!-- END_d7aad7b5ac127700500280d511a3db01 -->

<!-- START_ba35aa39474cb98cfb31829e70eb8b74 -->
## Perform the login and redirect to the begin page.

> Example request:

```bash
curl -X POST \
    "http://localhost/login" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/login"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST login`


<!-- END_ba35aa39474cb98cfb31829e70eb8b74 -->

<!-- START_74f94e6d2913624fc6d3c033afc28c40 -->
## reset password
by sending an email with modify password option and update the pwd in DB

> Example request:

```bash
curl -X GET \
    -G "http://localhost/reset" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/reset"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (500):

```json
{
    "message": "Server Error"
}
```

### HTTP Request
`GET reset`


<!-- END_74f94e6d2913624fc6d3c033afc28c40 -->

<!-- START_c3cb30d90a4059a2f267b934d8a6cc16 -->
## Verify the user after the first registration

> Example request:

```bash
curl -X GET \
    -G "http://localhost/verification/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/verification/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET verification/{token}`


<!-- END_c3cb30d90a4059a2f267b934d8a6cc16 -->

<!-- START_b185ed3e75d357572995342dd5430197 -->
## Return the view to change the password
the token identifies the user

> Example request:

```bash
curl -X GET \
    -G "http://localhost/resetpass/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/resetpass/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET resetpass/{token}`


<!-- END_b185ed3e75d357572995342dd5430197 -->

<!-- START_2393b11580bd80199eb241db2f65885e -->
## Change the password of the user, important to check the token of the user

> Example request:

```bash
curl -X POST \
    "http://localhost/newPassword" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/newPassword"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST newPassword`


<!-- END_2393b11580bd80199eb241db2f65885e -->

<!-- START_568bd749946744d2753eaad6cfad5db6 -->
## Destroy the session of the use and Logout from the system, then redirect to welcome page

> Example request:

```bash
curl -X GET \
    -G "http://localhost/logout" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/logout"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET logout`


<!-- END_568bd749946744d2753eaad6cfad5db6 -->

#User's data management

API's where user can change it's own data
<!-- START_155675e699db424359af1b80cfb9be93 -->
## Display data about the current user and return a new viev nastavitve

> Example request:

```bash
curl -X GET \
    -G "http://localhost/nastavitve" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/nastavitve"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET nastavitve`


<!-- END_155675e699db424359af1b80cfb9be93 -->

#User functions during competition

APIs to let the user compete in the contest
<!-- START_7caa330fcac9e3add153ed5aaa0b67da -->
## Get all the data about the contest (problems and instructions)

> Example request:

```bash
curl -X GET \
    -G "http://localhost/solve" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/solve"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET solve`


<!-- END_7caa330fcac9e3add153ed5aaa0b67da -->

<!-- START_91a75a8404108851de0652959584df23 -->
## Execute users program and store results in the DB

> Example request:

```bash
curl -X POST \
    "http://localhost/solve" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/solve"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST solve`


<!-- END_91a75a8404108851de0652959584df23 -->

<!-- START_599e99459cb65d931582348155de7a51 -->
## Allow to change user&#039;s programming language.

> Example request:

```bash
curl -X GET \
    -G "http://localhost/solve/1/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/solve/1/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (500):

```json
{
    "message": "Server Error"
}
```

### HTTP Request
`GET solve/{problemId}/{progjezik}`


<!-- END_599e99459cb65d931582348155de7a51 -->

<!-- START_0de129d8b63da4ff6559d09f9c871533 -->
## AJAX function that returns the state of the contest and the coutdown to the contest

> Example request:

```bash
curl -X GET \
    -G "http://localhost/contestInfo" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/contestInfo"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET contestInfo`


<!-- END_0de129d8b63da4ff6559d09f9c871533 -->

#general


<!-- START_53be1e9e10a08458929a2e0ea70ddb86 -->
## Show the main page of the X-Codign platform.

> Example request:

```bash
curl -X GET \
    -G "http://localhost/" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET /`


<!-- END_53be1e9e10a08458929a2e0ea70ddb86 -->

<!-- START_5880707b6c380270f9d6374a321397a5 -->
## Show the form for creating a new resource.

> Example request:

```bash
curl -X GET \
    -G "http://localhost/izbiraProblema/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/izbiraProblema/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
null
```

### HTTP Request
`GET izbiraProblema/{contestID}`


<!-- END_5880707b6c380270f9d6374a321397a5 -->

<!-- START_249e387815db2812d28856c1e873767d -->
## Store a newly created resource in storage.

> Example request:

```bash
curl -X POST \
    "http://localhost/izbiraProblema/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/izbiraProblema/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```



### HTTP Request
`POST izbiraProblema/{contestID}`


<!-- END_249e387815db2812d28856c1e873767d -->

<!-- START_de1516af6dc311747c9169f794522550 -->
## Remove the specified resource from storage.

> Example request:

```bash
curl -X GET \
    -G "http://localhost/izbiraProblema/delete/1/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "http://localhost/izbiraProblema/delete/1/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (302):

```json
null
```

### HTTP Request
`GET izbiraProblema/delete/{contestID}/{problemID}`


<!-- END_de1516af6dc311747c9169f794522550 -->


