@extends('layout')



@section('title')
X-Coding
@endsection


@section('content1')

<link href="/css/contest.css" rel="stylesheet">


<div class="container  pContainer">
	<div id="pRow" class="row">
		<div id="pCol" class="col">
			<ul class="nav nav-tabs" >
				<li class="nav-item" id="listContest">
					<a class="nav-link @if(isset($sole)) echo active @endif" href="/contest" role="tab" aria-selected="true">Seznam tekmovanj</a>
				</li>
				<li class="nav-item" id="createContest">
					<a class="nav-link @if(isset($ustvari)) active @endif" href="/createContest" role="tab"  aria-selected="true">Dodaj tekmovanje</a>
				</li>
				@if(isset($prikaziContest))
				<li class="nav-item" id="createContest">
					<a class="nav-link orange" target="_blank" href='/getContestResults/{{$prikaziContest["contest"]->id}}' role="tab"  aria-selected="true">Tiskaj rezultate</a>
				</li>
				@endif
				
			</ul>
		</div>
	</div>
	<div id="contContest">
		@if(isset($contesti))
		<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">Id</th>
      					<th scope="col">Naslov tekmovanja</th>
      					<th scope="col">Datum zacetka</th>
      					<th scope="col">Spremeni</th>
    				</tr>
    			</thead>
    			<tbody>
			@foreach ($contesti as $contest)
			<tr>
				<td>
					{{ $contest->id }}
				</td>
				<td>
					{{ $contest->ime }}
				</td>
				<td>
					{{ $contest->zacetek->format('d/m/Y H:i:s') }}
				</td>
				<td>
					<a href="/contest/{{ $contest->id }}"+ >Spremeni</a>
				</td>

			</tr>
			@endforeach

			</tbody>
			</table>
		@endif

		@if(isset($ustvari))
		<form method="POST" action="/contest">
			@csrf
			<br><label for="ime">Ime tekmovanja:</label><br>
			<input type="text" name="ime" id="ime" required placeholder="Ime tekmovanja">
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required>
			<br><label for="trajanje">Trajanje tekmovanja:</label><br>
			<select name="trajanje" id="trajanje" required>
				<option value="00:30:00">30min</option>
				<option value="00:45:00">45min</option>
				<option value="01:00:00">1h</option>
				<option value="01:15:00">1h 15min</option>
				<option value="01:30:00">1h 30min</option>
				<option value="01:45:00">1h 45min</option>
				<option value="02:00:00">2h</option>
			</select>
			

			<br><br><input type="submit" value="Shrani">

		</form>
		@endif

		@if(isset($message))

			<p class="messages">{{$message}}</p>

		@endif
		@if(isset($prikaziContest["message"]))

			<p class="messages">{{$prikaziContest["message"]}}</p>

		@endif

		@if(isset($prikaziContest))
		
		<div id="contActive">
			@if($prikaziContest["isActive"])
				<h3 class="aktiviran">Tekmovanje je aktivno ->deaktivacija <a href='/deactivateContest/{{$prikaziContest["contest"]->id}}'>clickMe!</a></h3>
			@else
				<h3 class="deaktivirano">Tekmovanje ni aktivirano, zelis aktivirati?-><a href='/activateContest/{{$prikaziContest["contest"]->id}}'>ClickMe!</a></h3>
			@endif
		</div>

		<form method="POST" action='/contest/{{$prikaziContest["contest"]->id}}'>
			@csrf
			<input name="_method" type="hidden" value="PUT">
			<br><label for="ime">Ime tekmovanja:</label><br>
			<input type="text" name="ime" id="ime" required value='{{$prikaziContest["contest"]->ime}}'>
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required value='{{$prikaziContest["contest"]->zacetek->format('Y-m-d\TH:i:s')}}'>
			<br><label for="trajanje">Trajanje tekmovanja:</label><br>
			<select name="trajanje" id="trajanje" required>
				<option value='unchanged'>default: {{$prikaziContest["contest"]->trajanje}}</option>
				<option value="00:30:00">30min</option>
				<option value="00:45:00">45min</option>
				<option value="01:00:00">1h</option>
				<option value="01:15:00">1h 15min</option>
				<option value="01:30:00">1h 30min</option>
				<option value="01:45:00">1h 45min</option>
				<option value="02:00:00">2h</option>
			</select>
			

			<br><br><input type="submit" value="Update">

		</form>

		<hr/>
		
		<h5>Problemi vključeni v tekmovanju:</h5>
		<br>

		<a href='/izbiraProblema/{{$prikaziContest["contest"]->id}}'>Vstavi nov problem v tekmovanje</a>
		<br><br>

		@if(isset($prikaziContest["problemi"]))
			<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">id-problema</th>
      					<th scope="col">Naslov problema</th>
      					<th scope="col">vrstni red</th>
      					<th scope="col">Zbrisi</th>
    				</tr>
    			</thead>
    			<tbody>
			@foreach ($prikaziContest["problemi"] as $povezaniProblemi)

					
						<tr>
							<td>
								{{$povezaniProblemi->id}}
							</td>
							<td>
								{{$povezaniProblemi->naslov}}
							</td>
							<td>	
								{{$povezaniProblemi->vrstniRed}}
							</td>
							<td>
								<a href='/izbiraProblema/delete/{{$prikaziContest["contest"]->id}}/{{$povezaniProblemi->id}}'>DELETE</a>
							</td>
							
						</tr>
					
					
			@endforeach
				</tbody>
			</table>

			@endif

		<hr/>
		
		<h5>Nacrtana tekmovanja:</h5>
		<br>

		<a href='/dovoljenje/{{$prikaziContest["contest"]->id}}'>Dodaj razred dolocene sole v tekmovanje</a>
		<br><br>

		@if(isset($prikaziContest["dovoljenja"]))
			<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">NazivSole</th>
      					<th scope="col">KodaSole</th>
      					<th scope="col">Razred</th>
      					<th scope="col">Zacetek</th>
      					<th scope="col">Konec</th>
      					<th scope="col"> change </th>
    				</tr>
    			</thead>
    			<tbody>
			@foreach ($prikaziContest["dovoljenja"] as $dovoljenje)

					
						<tr>
							<td>
								{{$dovoljenje->nazivSole}}
							</td>
							<td>
								{{$dovoljenje->kodaSole}}
							</td>
							<td>	
								{{$dovoljenje->razred}}
							</td>
							<td>
								{{$dovoljenje->zacetek}}
							</td>
							<td>
								{{$dovoljenje->konec}}
							</td>
							<td>
								<a href="/dovoljenje/edit/{{$dovoljenje->dovoljenje_id}}">spremeni id: {{$dovoljenje->dovoljenje_id}}</a>
							</td>
							
						</tr>
					
					
			@endforeach
				</tbody>
			</table>


		@endif
		@endif

		@if(isset($ustvariDovoljenje))

			<form method="POST" action='/dovoljenje/{{$ustvariDovoljenje["contest"]->id}}'>
			@csrf
			<br><label for="kodaSole">Izberi solo</label><br>
			<select name="kodaSole" id="kodaSole" required >
				@foreach ($ustvariDovoljenje["sole"] as $sola)

					<option value="{{$sola->id}}">{{$sola->nazivSole." -  koda: ".$sola->kodaSole}}</option>
					
				@endforeach
			</select>
			<br><br><label for="razred">Razred</label>
			<select name="razred" id="razred" required >
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
			</select>
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required min='{{$ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')}}' value='{{$ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')}}'>
			<br><label for="konec">Datum zaprtja tekmovanja:</label><br>
			<input type="datetime-local" name="konec" id="konec" required min='{{$ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')}}' value='{{$ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')}}'>
			

			<br><br><input type="submit" value="Shrani">

		</form>


		@endif

		@if(isset($dov))

			<form method="POST" action='/dovoljenje/{{$dov["dov"]->dov_id}}'>
			@csrf
			<input name="_method" type="hidden" value="PUT">
			<input name="contest_id" value='{{$dov["dov"]->contest_id}}' type="hidden">
			<br><label for="kodaSole">Izberi solo</label><br>
			<select name="kodaSole" id="kodaSole" required >
				<option value='{{$dov["dov"]->sola_id}}'>default:  {{$dov["dov"]->nazivSole." -  koda: ".$dov["dov"]->kodaSole}}</option>
				@foreach ($dov["sole"] as $sola)

					<option value="{{$sola->id}}">{{$sola->nazivSole." -  koda: ".$sola->kodaSole}}</option>
					
				@endforeach
			</select>
			<br><br><label for="razred">Razred</label>
			<select name="razred" id="razred" required>
				<option value='{{$dov["dov"]->razred}}' selected>default: {{$dov["dov"]->razred}}</option>
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
			</select>
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required min='{{$dov["dov"]->zacetek->format('Y-m-d\TH:i:s')}}' value='{{$dov["dov"]->zacetek->format('Y-m-d\TH:i:s')}}'>
			<br><label for="konec">Datum zaprtja tekmovanja:</label><br>
			<input type="datetime-local" name="konec" id="konec" required min='{{$dov["dov"]->zacetek->format('Y-m-d\TH:i:s')}}' value='{{$dov["dov"]->zacetek->format('Y-m-d\TH:i:s')}}'>
			

			<br><br><input type="submit" value="Update">

		</form>

		<form method="POST" action='/dovoljenje/{{$dov["dov"]->dov_id}}}/{{$dov["dov"]->contest_id}}'>
			@csrf
			<input name="_method" type="hidden" value="DELETE">
			<input class="btn btn-danger" id="delete" type="submit" value="DELETE">
		</form>	
		@endif



		@if(isset($createProblem))
		<form method="POST" action='/izbiraProblema/{{$createProblem["contest_id"]}}'>
			@csrf
			<br><label for="problem_id">Izberi Problem za vkljucit v tekmovanje</label><br>
			<select name="problem_id" id="problem_id" required >
				@foreach ($createProblem["problemi"] as $problem)

					<option value="{{$problem->problem_id}}">id: {{$problem->problem_id}} naslov: {{$problem->naslov}}</option>
					
				@endforeach
			</select>
			<br><br><label for="vrstniRed">Vrstni red problema</label>
			<select name="vrstniRed" id="vrstniRed" required >
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
			</select>

			<br><br><input type="submit" value="Insert">
		</form>	

		@endif

	</div>

	
</div>




@endsection
