<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'welcomeController@welcome');

//Route::get('/poskus', 'sampleController@welcome');

Route::get('/loginregister', 'loginController@loginregister');

Route::post('/register', 'loginController@register');

Route::post('/login', 'loginController@login');

Route::get('/reset', 'loginController@reset');

Route::get('/verification/{token}', 'loginController@verification');

Route::get('/resetpass/{token}', 'loginController@resetPassword');

//Route::get('/resetpassw', 'loginController@resetpassw');

Route::post('newPassword', 'loginController@newPassword');

//logout
Route::get('/logout','loginController@logout');


Route::get('/mysqltest', function () {

    // Test database connection
    try {
        DB::connection()->getPdo();
        echo "Connected successfully to: " . DB::connection()->getDatabaseName();
    } catch (\Exception $e) {
        die("Could not connect to the database. Please check your configuration. error:" . $e );
    }
    $variable = ['CONNECTION TEST MYSQL DELETE THIS ROUTE IN PRODUCTION'];
    return view('welcome', ['variable' => $variable]);
});






//Za klicat po loginu!!!
Route::get('/begin',function(){
    return view('navodila');
})->middleware('loggedIn');

//po navodilih se klice to da nalozi View SOLVE!!
Route::get('/solveView',function(){
    return app('App\Http\Controllers\SolveController')->startSolving();
})->middleware('loggedIn');


//controller za stran solve s problemi
Route::get('/solve', 'SolveController@index')->middleware('loggedIn')->middleware('time');

Route::post('/solve', 'SolveController@store')->middleware('loggedIn')->middleware('time');

Route::get('/solve/{problemId}/{progjezik}','SolveController@showProblemCode')->middleware('time');

Route::get('/contestInfo', 'SolveController@contestInfo')->middleware('loggedIn');


//dijak, ki spremeni svoje nastavitve
Route::get('/nastavitve', 'DijakController@show')->middleware('loggedIn');
//Potrebno se implementirati
Route::get('/nastavitve/email', 'DijakController@spremenimail')->middleware('loggedIn');
Route::get('/nastavitve/geslo', 'DijakController@spremenigeslo')->middleware('loggedIn');



///ADMIN -- PANEL
Route::get('/admin',function(){
    return view('adminPanel');
});




//ADMIN CONTROLLER -> dodaj middleware isAdmin?
//vrne index problemov
Route::get('/problem','problemController@index');
//ustvari problem
Route::post('/problem','problemController@create');
//posodobi problem
Route::put('/problem/{problemID}','problemController@update');
//read problem
Route::get('/problem/{problemID}','problemController@show');
//delete problem
Route::delete('/problem/{problemID}','problemController@delete');



///ADMIN CONTROLLER ZA SOLO -> dodaj middleware isAdmin?
//index sol
Route::get('/sola','SolaController@index');
//prikazi solo
Route::get('/sola/{solaID}','SolaController@show');
//odpri stran za ustvarjanje sole
Route::get('/createSola','SolaController@createSola');
//shrani solo
Route::post('/sola','SolaController@store');
//update sola
Route::put('/sola/{solaID}','SolaController@update');



//ADMIN CONTROLLER ZA CONTEST  -> dodaj middleware isAdmin?
//index contestov
Route::get('/contest','ContestController@index');
//prikazi contest
Route::get('/contest/{contestID}','ContestController@show');
//prikazi contest z message error
Route::get('/contest/{contestID}/{message?}','ContestController@show');
//odpri stran za ustvarjanje contesta
Route::get('/createContest','ContestController@createContest');
//shrani contest
Route::post('/contest','ContestController@store');
//update contest
Route::put('/contest/{contestID}','ContestController@update');
//aktiviraj kontest
Route::get('/activateContest/{contestID}','ContestController@activate');
//deaktiviraj contest
Route::get('/deactivateContest/{contestID}','ContestController@deActivate');
//prikazi rezultate
Route::get('/getContestResults/{contestID}','ContestController@getResults');


//ADMIN CONTROLLER ZA CONTEST IN DOVOLJENJE -> dodaj middleware isAdmin?
//definicija dovoljenj za tekmovanje
Route::get('/dovoljenje/{contestID}','DovoljenjeController@addDovoljenje');
//Ustvari dovoljenje za razred sole, da lahko tekmuje na tekmovanju
Route::post('/dovoljenje/{contestID}','DovoljenjeController@store');
//odpri stran spreminjanja dovoljenja
Route::get('/dovoljenje/edit/{dovoljenjeID}','DovoljenjeController@edit');
//update dovoljenje
Route::put('/dovoljenje/{dovoljenjeID}','DovoljenjeController@update');
//delete dovoljenje
Route::delete('/dovoljenje/{dovoljenjeID}/{contestID}','DovoljenjeController@destroy');



/////ADMIN CONTROLLER ZA dolociti problemem v contestu -> dodaj middleware isAdmin?
//form za ustvarjanje nove povezave contest problem
Route::get('/izbiraProblema/{contestID}','VstavljanjeProblemaController@create');
//povezi problem in contest
Route::post('/izbiraProblema/{contestID}','VstavljanjeProblemaController@store');
//delete povezavo contest problem
Route::get('/izbiraProblema/delete/{contestID}/{problemID}','VstavljanjeProblemaController@destroy');



///ADMIN CONTROLLER ZA UPORABNIKA



Route::get('/banana',function(){

    $json = '{"tezavnostProblema":"1","problem0":{"jezikProgramski":"java","kodaHead":"dssdds","kodaBody":"dssdsd","kodaTail":"dssd"},"problem1":{"jezikProgramski":"python3","kodaHead":"sdsadsda","kodaBody":"sdsdsad","kodaTail":"sdsdadsaads"},"jezik0":{"jezikNavodil":"slo","naslov":"dddddddddddd","navodila":"ddddddddddddssaa"},"jezik1":{"jezikNavodil":"ang","naslov":"sasdsadas","navodila":"saassd"}}';

    return app('App\Http\Controllers\problemController')->create($json);

    error_log(json_decode($json,true)['problem1']['kodaHead']);
    dd(json_decode($json,true)['problem1']['kodaHead']);
    return view('problem');

});















////Test route

use App\Contest;
use App\Problem;
use App\Sola;
use App\Rezultat;


Route::get('/testDB',function(){


    
         $rezo=Rezultat::create([
                'jezikProg' => 'java',
                'stTestiranj' => 0,
                'dijak_id' => 1,
                'contest_id' => 1,
                'problem_id' => 1
            ]);
      $rezo->save();

	dd($rezo);
	return view('solve');
});








